皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

Hibernate Validator 6.0.14.Final 发布,修复严重的 Bug

Hibernate Validator 6.0.14.Final 早已发布,该版本主要是修复了一个严重的 bug。推荐使用者升级至该版本,它还是 6.0.13.Final 的替代品。

更新内容

修复了一个严重的错误:HV-1684

举个例子,如果你在一个 Map 中使用了如下的约束:

@Size(min=1)
Map<String, String> map = new HashMap<>();

此约束的验证在某些时候会导致出现 StackOverflowError 错误(需要多长时间取决于验证此约束的频率)。在这种情况下,除了重新启动应用程序之外别无选择。

官方发现这个问题后,考虑到它对某些应用程序的重要性,立即为它发布了一个紧急修复程序。而且,这个错误在 Hibernate Validator 6.0.8.Final 中就已引入。

完整更新日志

已解决问题的完整列表 请查看 JIRA

详细更新说明请查看发布公告:http://in.relation.to/2019/01/07/hibernate-validator-6014-final-out/

转自 https://www.oschina.net/news/103553/hibernate-validator-6014-final-released

分享到:更多 ()